Page MenuHomePhabricator

Not enough storage is available to complete this operation
Closed, ResolvedPublic

Description

Error counts between 2016-05-18 20:33:39 and 2016-05-24 17:15:38, for this and similar error messages:

216 Für diesen Vorgang ist nicht genügend Speicher verfügbar.
 79 Not enough storage is available to complete this operation.
 16 Pro dokončení operace není dostatečný prostor.
  2 Espaço insuficiente de armazenamento para concluir a operação.

Event Timeline

matmarex created this task.May 25 2016, 7:45 PM

This only appears on IE 11 and Edge on various operating systems.

Better logs thanks to https://gerrit.wikimedia.org/r/297120 are helpful here too. Looks like almost all of these come from thumbnail generation, and could probably be swallowed up (in which case we'll fall back to server-side thumbnailing).

matmarex claimed this task.Jul 28 2016, 4:48 PM
matmarex triaged this task as Normal priority.

Also happens on IE 10 and mobile IE 11.

select userAgent, count(*) as n from UploadWizardExceptionFlowEvent_11772722
where event_message="Not enough storage is available to complete this operation.\r\n"
group by userAgent having n>5;

Change 303311 had a related patch set uploaded (by Bartosz Dziewoński):
mw.UploadWizardUpload: Catch IE's "Not enough storage is available" exceptions

https://gerrit.wikimedia.org/r/303311

Change 303311 merged by jenkins-bot:
mw.UploadWizardUpload: Catch IE's "Not enough storage is available" exceptions

https://gerrit.wikimedia.org/r/303311

matmarex closed this task as Resolved.Aug 7 2016, 1:59 PM